Subject: RE: cygwin too slow
From: "koorapati, koundinya" <[email-masked]>
To: Brian Ford <[email-masked]>
Cc: [email-masked]
Date: Wed, 12 Nov 2003 06:30:20 -0500

I restricted my path to just /usr/local/bin:/usr/bin:/usr/X11R6/bin , but
still there's been no change in slowness that I see with every command. Here
we are given a customized Windows O.S for the company I work, by Dell
(Windows 2000 Pro). This is really mysterious. In strace I'm not able to see
which system call is eating up so much time as when I start a program say
'ls' with strace, I see nothing and only as ls begins to run after getting
loaded, strace throws it's output. I guess strace is also taking it's own
time to run ?. I'm also not sure what tools on windows could be used for
troubleshooting as this is my first close encounter with MS Windows :)

Koundinya

-----Original Message-----
From: Brian Ford [mailto:[email-masked]]
Sent: Tuesday, November 11, 2003 10:37 PM
To: koorapati, koundinya
Cc: [email-masked]
Subject: Re: cygwin too slow

On Tue, 11 Nov 2003, koorapati, koundinya wrote:

> But simple commands like ls take this time
>
> $ time ls -l
> total 23
> drwxr-xr-x    1 kkoorapa mkgroup-        0 Nov 11 17:50 Mail
> -rw-r--r--    1 kkoorapa mkgroup-       39 Nov 10 17:42 t.c
> -rwxr-xr-x    1 kkoorapa mkgroup-    11224 Nov 10 17:40 t.exe
> -rwxr-xr-x    1 kkoorapa mkgroup-    11224 Nov 10 17:43 tt.exe
>
> real    0m18.115s
> user    0m0.020s
> sys     0m0.010s
>
WAG, got any network drives in your path, especially ones that are not
accessable?  Where does strace show a long time between system calls?

And, oh yeah:

http://www.cygwin.com/problems.html

too.

-- 
Brian Ford
Senior Realtime Software Engineer
VITAL - Visual Simulation Systems
FlightSafety International
Phone: 314-551-8460
Fax:   314-551-8444

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/